#!/bin/bash -norc
set -x
PATH=/sbin:.:/usr/local/fist:${PATH}
export PATH

function set_default() {
  eval val=\$$1

  if [ -z "$val" ]
  then
    eval $1=$2
  fi
}

set_default MOUNTPOINT /mnt/gzipfs

if [ -f doitopts ] ; then
	. doitopts
fi
if [ -f doitopts.`uname -n` ] ; then
	. doitopts.`uname -n`
fi

fist_ioctl -d ${MOUNTPOINT} ${1:-18}

#/bin/rm /mnt/gzipfs/X-*
#cp -p /n/fist/ext2fs/X-* /mnt/gzipfs
#cp -p /n/fist/ext2fs/X-26 /mnt/gzipfs

umount ${MOUNTPOINT}
lsmod
rmmod gzipfs
lsmod
